org.apache.ignite.internal.processors.tracing.configuration

## Class DistributedTracingConfiguration

- java.lang.Object
- - org.apache.ignite.internal.processors.configuration.distributed.SimpleDistributedProperty<HashMap<TracingConfigurationCoordinates,TracingConfigurationParameters>>
  - - org.apache.ignite.internal.processors.tracing.configuration.DistributedTracingConfiguration

All Implemented Interfaces:
  DistributedChangeableProperty<HashMap<TracingConfigurationCoordinates,TracingConfigurationParameters>>, DistributedProperty<HashMap<TracingConfigurationCoordinates,TracingConfigurationParameters>>

    public class DistributedTracingConfiguration
    extends SimpleDistributedProperty<HashMap<TracingConfigurationCoordinates,TracingConfigurationParameters>>

The wrapper of `HashMap<TracingConfigurationCoordinates, TracingConfigurationParameters>` for the distributed metastorage binding.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.configuration.distributed.SimpleDistributedProperty

`val`

### Constructor Summary

Constructors
Constructor and Description
`DistributedTracingConfiguration()` Constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DistributedTracingConfiguration` `detachedProperty()`
`HashMap<TracingConfigurationCoordinates,TracingConfigurationParameters>` `parse(String str)`

### Methods inherited from class org.apache.ignite.internal.processors.configuration.distributed.SimpleDistributedProperty

`addListener, get, getName, getOrDefault, localUpdate, onAttached, onReadyForUpdate, parseNonNegativeInteger, parseNonNegativeLong, parseStringSet, propagate, propagateAsync, propagateAsync, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DistributedTracingConfiguration

    public DistributedTracingConfiguration()

Constructor.

### Method Detail

#### detachedProperty

    public static DistributedTracingConfiguration detachedProperty()

Returns:
  A new property that is detached from `DistributedConfigurationProcessor`. This means distributed updates are not accessible.

#### parse

    public HashMap<TracingConfigurationCoordinates,TracingConfigurationParameters> parse(String str)

Specified by:
  `parse` in interface `DistributedChangeableProperty<HashMap<TracingConfigurationCoordinates,TracingConfigurationParameters>>`
Overrides:
  `parse` in class `SimpleDistributedProperty<HashMap<TracingConfigurationCoordinates,TracingConfigurationParameters>>`
Parameters:
  `str` - String representation of the property value.
Returns:
  Property value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023